> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Glossaries

> Retrieve available glossaries for the authenticated account. Items have newline character between them.



## OpenAPI

````yaml /openapi/phrase-studio.json get /v1/glossaries
openapi: 3.0.3
info:
  title: Studio API
  description: >-
    API for creating projects and reading transcription, translation, and
    dubbing results.
  version: 1.0.0
servers:
  - url: https://api.studio.us.phrase.com
    description: Production US Environment
  - url: https://api.studio.eu.phrase.com
    description: Production EU Environment
security: []
tags:
  - name: Projects
    description: Manage transcription, translation, and dubbing projects
  - name: Recordings
    description: Access recording status and output data
  - name: Subtitle Profiles
    description: Manage subtitle formatting profiles
  - name: Pronunciations
    description: Manage custom pronunciation rules
  - name: Glossaries
    description: Manage translation glossaries
  - name: Insights
    description: Manage AI-powered insight prompts
  - name: Safe Communications
    description: Access safe communication evaluation templates
paths:
  /v1/glossaries:
    get:
      tags:
        - Glossaries
      summary: Get Glossaries
      description: >-
        Retrieve available glossaries for the authenticated account. Items have
        newline character between them.
      operationId: getGlossaries
      responses:
        '200':
          description: Glossaries retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: Array of glossaries
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: Glossary ID
                        accountId:
                          type: string
                          format: uuid
                          nullable: true
                          description: Account ID (nullable for shared)
                        name:
                          type: string
                          description: Glossary name
                        description:
                          type: string
                          nullable: true
                          description: Glossary description
                        items:
                          type: string
                          description: Glossary items (newline-separated)
                        active:
                          type: boolean
                          description: Whether this glossary is active
                        createdAt:
                          type: string
                          format: date-time
                          description: Creation time
                        updatedAt:
                          type: string
                          format: date-time
                          description: Last update time
                      required:
                        - id
                        - name
                        - active
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                      pageSize:
                        type: integer
                      total:
                        type: integer
                      totalPages:
                        type: integer
                    required:
                      - page
                      - pageSize
                      - total
                      - totalPages
              examples:
                example:
                  summary: Sample response
                  value:
                    data:
                      - id: 00cd5cdb-ce8b-423a-a9b8-ca5dd5db7442
                        accountId: e7631985-e50d-424e-beef-6cb536d32c11
                        name: company names
                        description: null
                        items: |-
                          OTOMATA
                          Nike
                          HP
                          Nvidia
                        active: true
                        createdAt: '2025-11-06T10:15:59.738Z'
                        updatedAt: '2025-11-06T10:15:59.738Z'
                      - id: 99af75c5-b606-4aee-a3db-ee149c662ea6
                        accountId: e7631985-e50d-424e-beef-6cb536d32c11
                        name: test
                        description: null
                        items: voila violing ding dong
                        active: true
                        createdAt: '2025-11-06T09:43:17.888Z'
                        updatedAt: '2025-11-06T09:43:17.888Z'
                    pagination:
                      page: 1
                      pageSize: 2
                      total: 2
                      totalPages: 1
        '401':
          description: Unauthorized (invalid API key)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden (access denied)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - apiKeyAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        statusCode:
          type: integer
          example: 400
        message:
          type: string
          example: Bad Request
        timestamp:
          type: string
          format: date-time
          example: '2025-01-01T00:00:00.000Z'
      required:
        - success
        - statusCode
        - message
        - timestamp
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````